Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Courses

Get Courses
GET /training/courses
https://api.relesysapp.net/api/v1.2/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"5b2084c9-3ce5-4fc0-8fa6-25c5a47f3b93","courseGroupId":"02dbeb37-3eed-42b5-b1ec-47410e3378a9","phaseId":"bb4015d8-4a57-439d-ac8c-62a422f56c4e","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"21122da2-ecee-4099-94d2-2cacbc46bd91","courseGroupId":"e5bf0023-a8db-470d-a2f3-de14fa03208a","phaseId":"b1eb23c9-1e90-48c3-882d-d80a92580c24","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string